import request from '@/utils/request'

// 分页查询图库目录共享列表
export function pageListShare(query) {
  return request({
    url: '/gallery/cata/share/pageList',
    method: 'get',
    params: query
  })
}

// 查询图库目录共享列表
export function listShare(query) {
  return request({
    url: '/gallery/cata/share/list',
    method: 'get',
    params: query
  })
}

// 查询图库目录共享详细
export function getShare(id) {
  return request({
    url: '/gallery/cata/share/' + id,
    method: 'get'
  })
}

// 新增图库目录共享
export function addShare(data) {
  return request({
    url: '/gallery/cata/share',
    method: 'post',
    data: data
  })
}

// 修改图库目录共享
export function updateShare(data) {
  return request({
    url: '/gallery/cata/share',
    method: 'put',
    data: data
  })
}

// 删除图库目录共享
export function delShare(id) {
  return request({
    url: '/gallery/cata/share/' + id,
    method: 'delete'
  })
}

// 导出图库目录共享
export function exportShare(query) {
  return request({
    url: '/gallery/cata/share/' + 'export',
    method: 'post',
    params: query
  })
}
